﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Grad
{
    class Program
    {
        static void Main(string[] args)
        {
            String html = HtmlTag.GetHtml("http://www.cnblogs.com");
            List<HtmlTag> tags = HtmlTag.FindTagByAttr(html, "div", "id", "post_list");
            if (tags.Count > 0)
            {
                List<HtmlTag> item_tags = tags[0].FindTagByAttr("div", "class", "post_item");
                foreach (HtmlTag item_tag in item_tags)
                {
                    List<HtmlTag> a_tags = item_tag.FindTagByAttr("a", "class", "titlelnk");
                    if (a_tags.Count > 0)
                    {
                        Console.WriteLine("标题:{0}", a_tags[0].InnerHTML);
                        Console.WriteLine("链接:{0}", a_tags[0].GetAttribute("href"));
                        Console.WriteLine("");
                    }
                }
            }
        }
    }
}
